Run of fresh-snapshots for ruby-thwait

Try this locally (using silver-platter):

debian-svp new-upstream --snapshot ruby-thwait 

Merge these changes:

git pull https://janitor.debian.net/git/ruby-thwait fresh-snapshots/main
git pull https://janitor.debian.net/git/ruby-thwait fresh-snapshots/pristine-tar
git pull https://janitor.debian.net/git/ruby-thwait fresh-snapshots/upstream

Summary

Merged new upstream version: 0.2.0 (was: 0.1.0).

Diff

Branch: main

diff --git a/.gitignore b/.gitignore
index 9106b2a..4ea5798 100644
--- a/.gitignore
+++ b/.gitignore
@@ -6,3 +6,4 @@
 /pkg/
 /spec/reports/
 /tmp/
+Gemfile.lock
diff --git a/Gemfile b/Gemfile
index d2fceab..2069b3c 100644
--- a/Gemfile
+++ b/Gemfile
@@ -3,3 +3,6 @@ source "https://rubygems.org"
 git_source(:github) {|repo_name| "https://github.com/#{repo_name}" }
 
 gemspec
+
+gem "bundler"
+gem "rake"
diff --git a/debian/changelog b/debian/changelog
index 4dc4ba7..f72a7b5 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,10 +1,10 @@
-ruby-thwait (0.1.0-3) UNRELEASED; urgency=low
+ruby-thwait (0.2.0-1) UNRELEASED; urgency=low
 
   * Set field Upstream-Contact in debian/copyright.
   * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
     present in machine-readable debian/copyright).
 
- -- Debian Janitor <janitor@jelmer.uk>  Fri, 04 Sep 2020 03:30:16 -0000
+ -- Debian Janitor <janitor@jelmer.uk>  Sat, 27 Mar 2021 23:37:31 -0000
 
 ruby-thwait (0.1.0-2) unstable; urgency=medium
 
diff --git a/lib/thwait.rb b/lib/thwait.rb
index 541fe1e..fe33eb2 100644
--- a/lib/thwait.rb
+++ b/lib/thwait.rb
@@ -89,6 +89,7 @@ class ThreadsWait
     @threads.concat threads
     for th in threads
       Thread.start(th) do |t|
+        Thread.current.report_on_exception = false
         begin
           t.join
         ensure
diff --git a/lib/thwait/version.rb b/lib/thwait/version.rb
index a3ffb3a..1f786c4 100644
--- a/lib/thwait/version.rb
+++ b/lib/thwait/version.rb
@@ -1,3 +1,3 @@
 class ThreadsWait
-  VERSION = "0.1.0"
+  VERSION = "0.2.0"
 end
diff --git a/thwait.gemspec b/thwait.gemspec
index fc03942..90d7ab3 100644
--- a/thwait.gemspec
+++ b/thwait.gemspec
@@ -21,6 +21,5 @@ Gem::Specification.new do |spec|
   spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
   spec.require_paths = ["lib"]
 
-  spec.add_development_dependency "bundler", "~> 1.16"
-  spec.add_development_dependency "rake", "~> 10.0"
+  spec.add_dependency "e2mmap"
 end

Branch: pristine-tar

diff --git a/ruby-thwait_0.2.0.orig.tar.gz.delta b/ruby-thwait_0.2.0.orig.tar.gz.delta
new file mode 100644
index 0000000..36914b9
Binary files /dev/null and b/ruby-thwait_0.2.0.orig.tar.gz.delta differ
diff --git a/ruby-thwait_0.2.0.orig.tar.gz.id b/ruby-thwait_0.2.0.orig.tar.gz.id
new file mode 100644
index 0000000..f0fb351
--- /dev/null
+++ b/ruby-thwait_0.2.0.orig.tar.gz.id
@@ -0,0 +1 @@
+775f15a013678a2e1c9a8e52d04361196851357e

Branch: upstream

Tag: upstream/0.2.0
diff --git a/.gitignore b/.gitignore
index 9106b2a..4ea5798 100644
--- a/.gitignore
+++ b/.gitignore
@@ -6,3 +6,4 @@
 /pkg/
 /spec/reports/
 /tmp/
+Gemfile.lock
diff --git a/Gemfile b/Gemfile
index d2fceab..2069b3c 100644
--- a/Gemfile
+++ b/Gemfile
@@ -3,3 +3,6 @@ source "https://rubygems.org"
 git_source(:github) {|repo_name| "https://github.com/#{repo_name}" }
 
 gemspec
+
+gem "bundler"
+gem "rake"
diff --git a/lib/thwait.rb b/lib/thwait.rb
index 541fe1e..fe33eb2 100644
--- a/lib/thwait.rb
+++ b/lib/thwait.rb
@@ -89,6 +89,7 @@ class ThreadsWait
     @threads.concat threads
     for th in threads
       Thread.start(th) do |t|
+        Thread.current.report_on_exception = false
         begin
           t.join
         ensure
diff --git a/lib/thwait/version.rb b/lib/thwait/version.rb
index a3ffb3a..1f786c4 100644
--- a/lib/thwait/version.rb
+++ b/lib/thwait/version.rb
@@ -1,3 +1,3 @@
 class ThreadsWait
-  VERSION = "0.1.0"
+  VERSION = "0.2.0"
 end
diff --git a/thwait.gemspec b/thwait.gemspec
index fc03942..90d7ab3 100644
--- a/thwait.gemspec
+++ b/thwait.gemspec
@@ -21,6 +21,5 @@ Gem::Specification.new do |spec|
   spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
   spec.require_paths = ["lib"]
 
-  spec.add_development_dependency "bundler", "~> 1.16"
-  spec.add_development_dependency "rake", "~> 10.0"
+  spec.add_dependency "e2mmap"
 end

Lintian Result

Full worker log Full build log Full dist log